#!/usr/bin/make -f

-include /usr/share/openstack-pkg-tools/pkgos.make
UPSTREAM_GIT = https://github.com/Parsely/pykafka.git

export PYBUILD_NAME=pykafka
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}/
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
export PYBUILD_TEST_NOSE=1
export PYBUILD_DISABLE_python2=1
export PYBUILD_TEST_ARGS_python3=tests --ignore-files='test_(?:simpleconsumer|ssl|producer|partition|cluster|balancedconsumer|rd_kafka_consumer|simple_consumer|compression).*.py'

export no_proxy=example.com


%:
	dh $@ --buildsystem=pybuild --with python3
